Class SessionImpl

Declaration :

- C++ : class SessionImpl : public Session

Implementation class for the Session interface

Artifact : sessionimpl, Component(s) : Session

Relation edls (<directional aggregation by value>)

Declaration :

- Uml : # edls : Seq, multiplicity : 1..*
- C++ : protected: <Seq> edls

Relation theFixture (<unidirectional association>)

Declaration :

- Uml : # theFixture : Fixture, multiplicity : 1
- C++ : protected: Fixture * theFixture

Relation pipes (<directional aggregation>)

Declaration :

- Uml : # pipes : Pipe, multiplicity : *
- C++ : protected: Pipe* pipes

the global ports (busses) of the session

All public operations : currEDL , getFixture